Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.math.model
Class AstFunNode

    ru.biosoft.math.model.SimpleNode
      |
      +--ru.biosoft.math.model.AstFunNode

public class AstFunNode
extends SimpleNode

Any function or operator.

pending - refine priorities.

Field Summary
`final static int` | `FUNCTION_PRIORITY`
`final static int` | `LOGICAL_PRIORITY`
`final static int` | `PLUS_PRIORITY`
`final static int` | `POWER_PRIORITY`
`final static int` | `RELATIONAL_PRIORITY`
`final static int` | `TIMES_PRIORITY`
`final static int` | `UNARY_PRIORITY`

Constructor Summary
`AstFunNode(int id)`

Method Summary
`Function` | `getFunction()`
`void` | `setFunction(Function function)` Sets the function for a node.
`String` | `toString()` Returns a string containing the function name.

Methods inherited from class ru.biosoft.math.model.SimpleNode
`dump, dump, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtReplaceChild, jjtSetParent, toString`

Field Detail

### FUNCTION_PRIORITY

    public final static int FUNCTION_PRIORITY

### LOGICAL_PRIORITY

    public final static int LOGICAL_PRIORITY

### PLUS_PRIORITY

    public final static int PLUS_PRIORITY

### POWER_PRIORITY

    public final static int POWER_PRIORITY

### RELATIONAL_PRIORITY

    public final static int RELATIONAL_PRIORITY

### TIMES_PRIORITY

    public final static int TIMES_PRIORITY

### UNARY_PRIORITY

    public final static int UNARY_PRIORITY

Constructor Detail

### AstFunNode

    public AstFunNode(int id)

Method Detail

### getFunction

    public Function getFunction()

### setFunction

    public void setFunction(Function function)

  Sets the function for a node. It is parser responcibility to check the function validness.

### toString

    public String toString()

  Returns a string containing the function name.

Association Links

to Class ru.biosoft.math.model.Function

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM